//
// Created by slinky on 5/7/26.
//

#ifndef B_ENGINE_SCENE_H
#define B_ENGINE_SCENE_H

#include "entt/entt.hpp"

class Scene {
public:
    Scene() = default;
    ~Scene() = default;

    entt::entity create_game_obejct();
private:
    entt::registry _registry{};
};

#endif //B_ENGINE_SCENE_H